<?php
// DANIEL CWIKLA
function kundeEinfuegen($dbh, $kdnr, $nachname, $email){

    if($kdnr != 0 AND $nachname != '' AND $email != "") {
        // JAHRESUMSATZ und RABATSTUFFE sind auf default 0.00 bzw. 0 
        // deswegen werden die hier nicht nochmal auf 0.00 bzw. 0 gesetzt
        $query = "INSERT INTO kunde VALUES (:kdnr, :nachname, :email, 0.00, 0)";
        $stmt = $dbh->prepare($query);

        $stmt->bindParam(':kdnr', $kdnr);
        $stmt->bindParam(':nachname', $nachname);
        $stmt->bindParam(':email', $email);
        
        try {			
            $stmt->execute();
            return "Kunde (Herr/Frau $nachname) wurde erstellt!";		
        }
        catch(PDOException $e) {
            $errMsg = $e->getMessage();
            $errCode = $e->getCode(); 
                        
            switch($errCode) {
                case "23000": $custErrMsg = "<p>Email-Adress already exists!</p>"; break;
                default: $custErrMsg = "<p>Oooops, something went wrong!</p>";
            }
            echo $$errMsg;
            echo $custErrMsg;
        }

    } else {
        return "ERROR: missing data";
    }
}

function setJahresUmsatz($dbh, $kdnr, $umsatz){
    if($kdnr != 0 AND $umsatz != 0) {
        $query = "UPDATE kunde
            SET jahresumsatz = $umsatz
            WHERE :kdnr = kd_nummer";

        $stmt = $dbh->prepare($query);

        $stmt->bindParam(':kdnr', $kdnr);
        //$stmt->bindParam(':umsatz', $umsatz);

        try {
        $stmt->execute();
            return "Der JAhresumsatz von Kunde ($kdnr) wurde geupdated!";
        }
        catch(PDOException $e) {
            $errMsg = $e->getMessage();
            $errCode = $e->getCode(); 
                        
            switch($errCode) {
                case "23000": $custErrMsg = "<p>Email-Adress already exists!</p>"; break;
                default: $custErrMsg = "<p>Oooops, something went wrong!</p>";
            }
            echo $$errMsg;
            echo $custErrMsg;
        }
    }else {
        return "ERROR: missing data";
    }
}

function getJahresUmsatz($dbh, $kdnr){
    if($kdnr != 0){

        $query = "SELECT jahresumsatz FROM kunde WHERE kd_nummer = $kdnr;";
        
        $jahresUmsatzArray = $dbh->query($query)->fetch();

        return $jahresUmsatzArray[0];
    } else {
        return "ERROR: missing data";
    }
}

function setAllRabattStufen($dbh){
    $getAllKunden = "SELECT * FROM kunde;";

    $allKunden = $dbh->query($getAllKunden)->fetchAll();

    foreach($allKunden as $kunde) {
        $rabatt = 0;
        $umsatz = $kunde[3];
        $kdnr = $kunde[0];

        echo "umsatz, kdnr";
        echo $umsatz;
        echo "---";
        echo $kdnr;
        echo "-----";
        if($umsatz > 250000.0){
            $rabatt = 25;
        } else if ($umsatz > 100000.0) {
            $rabatt = 15;
        }
        else if ($umsatz > 50000.0) {
            $rabatt = 10;
        }
        else if ($umsatz > 10000.0) {
            $rabatt = 5;
        }

        $updateRabattStufeQuery = "UPDATE kunde
            SET rabattstufe = :rabatt
            WHERE :kdnr = kd_nummer";

        $stmt = $dbh->prepare($updateRabattStufeQuery);

        $stmt->bindParam(':kdnr', $kdnr);
        $stmt->bindParam(':rabatt', $rabatt);

        echo $rabatt;

        try {
            $stmt->execute();
                echo "Die Rabattstufe von Kunde ($kdnr) wurde geupdated!";
        }
        catch(PDOException $e) {
            $errMsg = $e->getMessage();
            $errCode = $e->getCode(); 
                        
            switch($errCode) {
                case "23000": $custErrMsg = "<p>Email-Adress already exists!</p>"; break;
                default: $custErrMsg = "<p>Oooops, something went wrong!</p>";
            }
            echo $$errMsg;
            echo $custErrMsg;
        }
    }
}


